Subject: Re: [dns-privacy] Start of WGLC for draft-ietf-dprive-problem-statement - please review.

From: John <[email-masked]>
Date: Mon, 2 Mar 2015 12:16:37 -0500

On 2/23/2015 5:36 PM, Warren Kumari wrote:
> Dear DPRIVE WG,
>
> The authors of draft-ietf-dprive-problem-statement have indicated that
> they believe that the document is ready, and have asked for Working
> Group Last Call.
>
> The draft is available here:
> https://datatracker.ietf.org/doc/draft-ietf-dprive-problem-statement/
>
> This document was discussed at the DPRIVE meeting at IETF91 - some
> notes here: http://tools.ietf.org/wg/dprive/minutes?item=minutes-91-dprive.html
>
> The document has also been worked on in GitHub, here:
> https://github.com/bortzmeyer/my-IETF-work
> It has also received a fair bit of on-list discussion.
>
> Please review this draft to see if you think it is ready for
> publication and send comments to the list, clearly stating your view.
> Even if you previously expressed support for the document (e.g during
> adoption), please respond to the WGLC showing that you still support
> it.
>
> This WGLC ends Mon 09-Mar-2015.
>
>
> In addition, to satisfy RFC 6702 ("Promoting Compliance with
> Intellectual Property Rights (IPR)"):
> Are you personally aware of any IPR that applies to
> draft-ietf-dprive-problem-statement?  If so, has this IPR been
> disclosed in compliance with IETF IPR rules? (See RFCs 3979, 4879,
> 3669, and 5378 for more details.)
>
> Thanks,
> Warren Kumari
> (as DPRIVE WG co-chair)
>
>
My first comment is why are you doing this? Is there a real problem here or are we in knee jerk mode? I liken the DNS system to the 
phone book. Just because I open the phone book at a particular page does not mean that I am going to call any of the numbers on that 
page.

In the draft, the example of Alcoholics Anonymous is used. Making a DNS inquiry about AA does not necessarily mean that I will visit 
the AA site. Even if I do, my interest may be no more than idle curiosity, or I may be looking for information for me for others.

In this day and age I may search for something on the WEB, and as a result visit a WEB page which may (probably will) have third 
party advertising. In order to render the page, including the advertisements, all sorts of data may be needed, which will result in 
many DNS inquiries, some of that advertising may be offensive to some. But that does not mean that I am visiting such sites.

The problem of surveillance does not occur when you open the phone book, nor does it occur when you run your finger down the page. 
It only begins when you dial a number!

-- 
John Allen
KLaM
------------------------------------------
You are off the edge of the map, mate. Here there be monsters!

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 2 Mar 2015 14:14:50 -0500

On Mon, Mar 2, 2015 at 12:16 PM, John <[email-masked]> wrote:

>>  My first comment is why are you doing this? Is there a real problem here
> or are we in knee jerk mode? I liken the DNS system to the phone book. Just
> because I open the phone book at a particular page does not mean that I am
> going to call any of the numbers on that page.
>
> In the draft, the example of Alcoholics Anonymous is used. Making a DNS
> inquiry about AA does not necessarily mean that I will visit the AA site.
> Even if I do, my interest may be no more than idle curiosity, or I may be
> looking for information for me for others.
>
> In this day and age I may search for something on the WEB, and as a result
> visit a WEB page which may (probably will) have third party advertising. In
> order to render the page, including the advertisements, all sorts of data
> may be needed, which will result in many DNS inquiries, some of that
> advertising may be offensive to some. But that does not mean that I am
> visiting such sites.
>
> The problem of surveillance does not occur when you open the phone book,
> nor does it occur when you run your finger down the page. It only begins
> when you dial a number!
>

In East Germany it began when you asked to look at the telephone directory.
It was a state secret.

Every call to directory inquiries was logged.

Sorry but your assumption as to what is and is not a security concern here
is woefully inadequate.

---

From: Matthijs Mekking <[email-masked]>
Date: Tue, 03 Mar 2015 13:17:44 +0100

Hi,

I support publication of this document, regardless of the minor comments
below.

Best regards,
  Matthijs

Minor comments:

1.
In section 1. Introduction: "The recursive resolver will first query the
root nameservers." This assumes that there is no information related to
 <www.example.com/AAAA> in the resolver's cache. I suggest to make a
small change to clarify:

  The recursive resolver will first look if it has the answer in the
  cache. If not, the recursive resolver will query the root name
  servers.

2.
In section 2.2. Data in the DNS request: "www.verybad.example where
verybad.example is the domain of an illegal or very offensive
organization may create more problems for the user."

I think this is a very bad example: We should not mention illegal here.
We should emphasize on the legal reasons to protect privacy: The reason
why pervasive monitoring is being done is to prevent people doing
something illegal. However, it comes at the cost of our privacy, the
freedom to conceal aspects of ourselves from others. Doing something
offensive or shameful are good reasons to do so.

3.
In section 2.5.2. In the authoritative name servers: "Also, it seems
[aeris-dns] that there is a strong concentration of authoritative name
servers among "popular" domains (such as the Alexa Top N list)."

The [aeris-dns] reference seems misplaced. Also, it is in French. I do
love the French language, but I don't speak nor read it, so I was
wondering if there is an English version of the reference.

4.
A lot of references seem to be volatile web pages, which is less than ideal.

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 3 Mar 2015 07:47:24 -0800

> offensive or shameful are good reasons to do so.

+1 on removing "illegal", since that changes with location. Maybe change the sentence to "...is the domain name of a controversial organization that...".

--Paul Hoffman

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 4 Mar 2015 10:28:49 +0100

On Tue, Mar 03, 2015 at 01:17:44PM +0100,
 Matthijs Mekking <[email-masked]> wrote 

>  <www.example.com/AAAA> in the resolver's cache. I suggest to make a

I'm not sure it's necessary since the next paragraph explains it was
for a cold cache, and that caching changes slightly the picture. WG
advice?

> I think this is a very bad example: We should not mention illegal

There have been other opinions in the same direction. Since it seems
very consensual, changed in
<https://github.com/bortzmeyer/my-IETF-work/commit/3a1ba1ac62318b4d2a01b1f0e691bf1ab3d043dc>

> The [aeris-dns] reference seems misplaced. Also, it is in French. I
> do love the French language, but I don't speak nor read it, so I was

This has already been discussed here
<https://mailarchive.ietf.org/arch/msg/dns-privacy/LBWWsLEJDIaffY6VgeuCkHWRmHM>

> A lot of references seem to be volatile web pages, which is less

OK, but it will take some time to "stabilize" them all. Ticket #7
<https://github.com/bortzmeyer/my-IETF-work/issues/7>

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 4 Mar 2015 13:36:13 +0100

On Mon, Mar 02, 2015 at 12:16:37PM -0500,
 John <[email-masked]> wrote 
 a message of 181 lines which said:

> My first comment is why are you doing this? Is there a real problem
> here or are we in knee jerk mode?

Well, we were simply bored and with nothing better to do. 

> I liken the DNS system to the phone book. Just because I open the
> phone book at a particular page does not mean that I am going to
> call any of the numbers on that page.

_You_ may regard it this way but it is irrelevant. As shown by the
MORECOWBELL program, other people feel differently and find the DNS an
useful tool for surveillance. (I also agree with Hallam-Baker's
remarks.)

> In the draft, the example of Alcoholics Anonymous is used. Making a
> DNS inquiry about AA does not necessarily mean that I will visit the
> AA site. Even if I do, my interest may be no more than idle
> curiosity, or I may be looking for information for me for others.

Doesn't matter what _you_ think. If someone searches in Google "how to
join jihad in Syria", he may thinks this is innocent but people who
tap Google requests may disagree.

> a WEB page which may (probably will) have third party
> advertising. In order to render the page, including the
> advertisements, all sorts of data may be needed, which will result
> in many DNS inquiries,

This is well-known and is detailed in
draft-ietf-dprive-problem-statement-01, section 1 (secondary and
tertiary requests).

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 4 Mar 2015 08:01:01 -0800

> for a cold cache, and that caching changes slightly the picture. WG

Please make Matthijs' change so that it is clear from the very beginning that things in the cache are not affected by this work.

--Paul Hoffman

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 9 Mar 2015 11:31:31 +0100

On Wed, Mar 04, 2015 at 08:01:01AM -0800,
 Paul Hoffman <[email-masked]> wrote 
 a message of 22 lines which said:

> Please make Matthijs' change so that it is clear from the very
> beginning that things in the cache are not affected by this work.

Done in commit
5dd74b0546405d732dd4fececf5e6af430b23bf1#diff-5a64e8acc836c631440926519ece5256
and I'm currently committing all consensual remarks done during the
WGLC. Expect a -03 in the evening.

https://github.com/bortzmeyer/my-IETF-work/commits/master/draft-ietf-dprive-problem-statement

---

From: Warren Kumari <[email-masked]>
Date: Mon, 9 Mar 2015 10:14:00 -0400

Thank you everyone who participated.

In my opinion there is consensus for publishing this document (after
Stephane has folded in all comments[0]).

Many of the comments were about the contents without clear "I approve
of this document" statements, but in my view the tone was positive.

W
[0]: I apologize, I have not checked the version in git to see if
*all* comments have already been addressed.

On Mon, Feb 23, 2015 at 5:36 PM, Warren Kumari <[email-masked]> wrote:
> I don't think the execution is relevant when it was obviously a bad
> idea in the first place.
> This is like putting rabid weasels in your pants, and later expressing
> regret at having chosen those particular rabid weasels and that pair
> of pants.
>    ---maf

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Warren Kumari <[email-masked]>
Date: Mon, 9 Mar 2015 10:18:18 -0400

Oh, I should mention that I'm at IEEE in Berlin at the moment, and so
I haven't confirmed this call with my co-chair.  It's possible he has
a different view here, in which case he and I will duke it out
offline, or on the stage in Dallas.

W

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 9 Mar 2015 17:00:19 +0100

On Mon, Mar 09, 2015 at 10:14:00AM -0400,
 Warren Kumari <[email-masked]> wrote 

> Stephane has folded in all comments[0]).

In draft-ietf-dprive-problem-statement-03, just posted (before the
cutoff), I believe I have addressed all comments received during WGLC.

If not, you're welcome to bash and troll me at will.

---

From: Tim Wicinski <[email-masked]>
Date: Tue, 10 Mar 2015 12:23:50 +0000

I agree with Warren that there is solid consensus.

tim

(I'm traveling as well the next two weeks, working with a slight delay)